#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){	

	ofSetWindowTitle("Rising Moon");
	w = 25;
	h = 25;
	
	texColor.allocate(w,h,GL_RGB);

	colorPixels 		= new unsigned char [w*h*3];

	
	// color pixels, use w and h to control red and green
	for (int i = 0; i < w; i++){
		for (int j = 0; j < h; j++){
			colorPixels[(j*w+i)*3 + 0] = i;	// r
			colorPixels[(j*w+i)*3 + 1] = j;	// g
			colorPixels[(j*w+i)*3 + 2] = 0; // b
		}
	}
	
	texColor.loadData(colorPixels, w,h, GL_RGB);


}
 

//--------------------------------------------------------------
void testApp::update(){
	
	ofBackground(255,255,255);
	ofHideCursor(); 
	
}

//--------------------------------------------------------------
void testApp::draw(){

	ofSetColor(0xffffff);

	texColor.draw(0, 0, ofGetWidth(), ofGetHeight());
	
	ofSetColor(255, 255, 224);
	ofFill(); 
	ofCircle(mouseX, mouseY, 50);
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
	// when the mouse moves, we change the color image:
	float pct = (float)x / (float)ofGetWidth();
	for (int i = 0; i < w; i++){
		for (int j = 0; j < h; j++){
			colorPixels[(j*w+i)*3 + 0] = i;	// r
			colorPixels[(j*w+i)*3 + 1] = j;	// g
			colorPixels[(j*w+i)*3 + 2] = (unsigned char)(pct*255); // b
		}
	}
	// finally, load those pixels into the texture
	texColor.loadData(colorPixels, w,h, GL_RGB);
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(){

}

